Subject: Re: Annoucement: GCC-3.4.0 binary release candidat
From: "Gerrit P. Haase" <[email-masked]>
To: Brian Ford <[email-masked]>, [email-masked]
Date: Wed, 16 Jun 2004 11:15:41 +0200

Brian,

>> On Mon, 14 Jun 2004, Gerrit P. Haase wrote:

>>> I was able to build the whole GCC suite including Pascal, Modula 2, D
>>> and also Java without problems now, after I downgraded to  cygwin-1.5.9.
>>> Which version of cygwin did you use to build Java?  I'm asking since
>>> the Java build fails for me with cygwin-1.5.10-3 and one newer snapshot I
>>> tried.

>> I'm still trying to get a clean bootstrap with all the languages enabled,
>> but could you post your configure line so that I can look into your issue
>> above?

> Get my script and patch here:
>    http://anfaenger.de/cygwin/gcc/

The script uses managed mounts for GNU Modula 2, it is not needed for
all other sources.  To use it, please move all tarballs and the script
to a new created directory or remove the calls to mountpwd() from the
prep() function.

> The patch includes all changes from gcc-3.3.3 to gcc-3.3.4 plus some
> additional changes for the 'cygwin special' version.  There are also
> some changes for files in the gcc/d, gcc/p, gcc/gm2 directories which
> you may remove or just skip them when applying the patch.  The GPC /
> Pascal relevant changes to gcc files should be no problem as long as GPC
> isn't defined during compilation.

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/